
CoCoA-5 - Feature #1599

ConcatStr

12 Jun 2021 14:57 - John Abbott

Status: Closed Start date: 12 Jun 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 1.11 hour

Target version: CoCoA-5.4.0 Spent time: 1.00 hour

Description

Do we want to have a function ConcatStr (and possibly a variant which puts a "separator" between the strings in the list)?

This was first suggested in issue #1587.

Discuss, decide, implement (if nec).

Related issues:

Related to CoCoA-5 - Feature #1587: Multiline string literals (again) Closed 02 Apr 2021

Related to CoCoA-5 - Feature #1431: Juxtaposition of string literals Rejected 03 Mar 2020

History

#1 - 12 Jun 2021 14:57 - John Abbott

- Related to Feature #1587: Multiline string literals (again) added

#2 - 12 Jun 2021 15:04 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I already have an impl  (see #1587#note-6  and #1431#note-9).

I think it could be useful.  The only doubt I have currently is whether it should simply be called by concat if the arg passed is a list of strings...

Advantage of a separate name is that it is clearer from the fn name what is being computed (also it would work with an empty list).

Disadvantage is that the user would have to learn another name (and with well-chosen var names the advantage above would be only minor).

It is not entirely clear to me how we could detect inside the impl for concat whether the arg is a list of strings without encountering problems of

double-evaluation.

Opinions?

#3 - 12 Jun 2021 15:04 - John Abbott

- Related to Feature #1431: Juxtaposition of string literals added

#4 - 21 Jun 2021 16:50 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 50
https://cocoa.dima.unige.it/redmine/issues/1587
https://cocoa.dima.unige.it/redmine/issues/1587#note-6
https://cocoa.dima.unige.it/redmine/issues/1431#note-9


The fn maps a list of strings to a string by concatenation.

Should the fn be called ConcatStr or ConcatStrs?

#5 - 02 Jul 2021 15:52 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 50 to 80

Renamed to ConcatStrings.

Very clear.

#6 - 14 Sep 2021 11:53 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 1.11 h

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

http://www.tcpdf.org

